import {HttpClient} from "@angular/common/http";
import {Injectable} from "@angular/core";
import {Observable} from "rxjs/Observable";
import {SERVER_API_URL} from "../../app/app.constants";
import {HTTP} from "@ionic-native/http";
import {DataFormatService} from "../../core/dataFormat.service";

@Injectable()
export class MineService {

    constructor(private http: HttpClient, private nativeHttp: HTTP, private dataForm: DataFormatService) {
    }

    //操作日志
    dblog(data): Observable<any> {
        return this.http.post(SERVER_API_URL + "/opertion/dblog.do", data);
    }

    //修改密码
    updatePassword(data):Observable<any>{
        return this.http.post(SERVER_API_URL + "/user/updatePassword.do",data);
    }
}
